Skip to main content

private/create-isolated-margin-transfer

POST 

/private/create-isolated-margin-transfer

Transfer balance between account and isolated position.

Request

Body

required
    id int64required

    Request id (echoed in response)

    method stringrequired

    Must be "private/create-isolated-margin-transfer"

    api_key stringrequired

    Your API key (only required for private REST)

    sig stringrequired

    HMAC-SHA256 signature in hex (only required for private REST)

    nonce int64required

    Current timestamp in milliseconds, e.g. "1771761038000".

    params objectrequired
    isolation_id stringrequired

    Isolation ID of the isolated position to transfer margin to or from.

    direction IsolatedMarginTransferDirection (string)required

    Possible values: [CREDIT, DEBIT]

    CREDIT for credit to the isolated position; DEBIT for debit from the isolated position.

    amount decimalrequired

    Amount of USD to transfer; must be a positive number.

Success.
Schema
    id int64

    Echoed request id

    method string

    Method invoked

    code int32

    0 = success; non-zero indicates error (reason code).

    result object
    Present when code === 0; no result block per docs.
    object
    message string

    Present when code !== 0.

    original string

    Present when code !== 0.